const checklength = function (password) {
  return password.length >= 8 && password.length <= 25
}
const checkAlphabet = function (password) {
  const alphabets = 'abcdefghijklmnopqrstuvwxyz'
  for (const ch of password) {
    if (alphabets.includes(ch.toLowerCase())) return true
  }
  return false
}
const checkDigit = function (password) {
  return /[1-9]/.test(password)
}
const checkSymbol = function (password) {
  const symbols = '!"#$%&()*+,-./:;<=>?@[]^_`{|}~'
  for (const ch of password) {
    if (symbols.includes(ch.toLowerCase())) return true
  }
  return false
}
const checkPassword = function (password) {
  return checklength(password) && checkAlphabet(password) && checkDigit(password) && checkSymbol(password)
}

module.exports = {
  checklength,
  checkAlphabet,
  checkDigit,
  checkSymbol,
  checkPassword
}
